Last Comment Bug 710912 - Permanent orange on Linux: TEST-UNEXPECTED-FAIL | test-newmailaccount.js | test_can_pref_off_account_provisioner
: Permanent orange on Linux: TEST-UNEXPECTED-FAIL | test-newmailaccount.js | te...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: Thunderbird 11.0
Assigned To: Mike Conley (:mconley)
:
:
Mentors:
Depends on:
Blocks: 700536
  Show dependency treegraph
 
Reported: 2011-12-14 15:35 PST by Mike Conley (:mconley)
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch v1 (3.15 KB, patch)
2011-12-15 06:27 PST, Mike Conley (:mconley)
bwinton: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Mike Conley (:mconley) 2011-12-14 15:35:13 PST
This is fallout from bug 700536.  I thought I'd fixed this - I've had one try build pass these tests just fine.  :/

Anyhow, here's the log:

SUMMARY-UNEXPECTED-FAIL | test-newmailaccount.js | test-newmailaccount.js::test_can_pref_off_account_provisioner
  EXCEPTION: Popup did not close!
    at: utils.js line 429
       TimeoutError("Popup did not close!") utils.js 429
       waitFor((function () elem.state == "closed"),"Popup did not close!",1000,50) utils.js 467
       close_popup([object Object],[object Object]) test-folder-display-helpers.js 1405
       test_can_pref_off_account_provisioner() test-newmailaccount.js 834
            frame.js 557
            frame.js 626
            frame.js 669
            frame.js 497
            frame.js 675
            server.js 179
            server.js 183
Comment 1 Mike Conley (:mconley) 2011-12-15 06:27:18 PST
Created attachment 581946 [details] [diff] [review]
Patch v1

I've found a solution within Mozmill's Menu API.  Passes locally, and my try build shows that it passes on all platforms (though the tests are orange due to Test Pilot bustage that got fixed this morning by Standard8).

http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=831eae8b22ee

http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=be7da37878fc
Comment 2 Blake Winton (:bwinton) (:☕️) 2011-12-15 07:17:07 PST
Comment on attachment 581946 [details] [diff] [review]
Patch v1

Review of attachment 581946 [details] [diff] [review]:
-----------------------------------------------------------------

Seems reasonable.  r=me.
Comment 3 Mike Conley (:mconley) 2011-12-15 07:22:36 PST
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/a3bfe58a7e42
Comment 4 Mike Conley (:mconley) 2011-12-19 07:04:25 PST
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/b14a19d774e5

Note You need to log in before you can comment on or make changes to this bug.